> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all deposit accounts

> Retrieve all deposit accounts for the authenticated user with optional filtering



## OpenAPI

````yaml /openapi.json get /api/v1/deposit-accounts
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/deposit-accounts:
    get:
      tags:
        - Deposit Account
      summary: Get all deposit accounts
      description: >-
        Retrieve all deposit accounts for the authenticated user with optional
        filtering
      operationId: DepositAccountsController_findAll
      parameters:
        - name: deposit_account_id
          required: false
          in: query
          description: Deposit account ID
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            example: 10
            type: number
      responses:
        '200':
          description: Deposit accounts retrieved successfully.
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````